7.0.5升级7.1.5,seahub.sh启动错误No module named PLI pip3 install Pillow已经安装


#1

查看群中解决方法:pip3 install Pillow显示已经安装
Requirement already satisfied: Pillow in /usr/local/lib64/python3.6/site-packages (8.4.0)
WARNING: Running pip as the ‘root’ user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv

seahub启动错误代码:
[root@localhost seafile-server-latest]# ./seahub.sh start

LC_ALL is not set in ENV, set to en_US.UTF-8
Starting seahub at port 8000 …
Traceback (most recent call last):
File “/home/filescloud/seafile-server-7.1.5/seahub/seahub/avatar/models.py”, line 23, in
from PIL import Image
ModuleNotFoundError: No module named ‘PIL’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/bin/gunicorn”, line 8, in
sys.exit(run())
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/gunicorn/app/wsgiapp.py”, line 58, in run
WSGIApplication("%(prog)s [OPTIONS] [APP_MODULE]").run()
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/gunicorn/app/base.py”, line 228, in run
super().run()
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/gunicorn/app/base.py”, line 72, in run
Arbiter(self).run()
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/gunicorn/arbiter.py”, line 58, in init
self.setup(app)
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/gunicorn/arbiter.py”, line 118, in setup
self.app.wsgi()
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/gunicorn/app/base.py”, line 67, in wsgi
self.callable = self.load()
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/gunicorn/app/wsgiapp.py”, line 49, in load
return self.load_wsgiapp()
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/gunicorn/app/wsgiapp.py”, line 39, in load_wsgiapp
return util.import_app(self.app_uri)
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/gunicorn/util.py”, line 358, in import_app
mod = importlib.import_module(module)
File “/usr/local/lib/python3.6/importlib/init.py”, line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 994, in _gcd_import
File “”, line 971, in _find_and_load
File “”, line 955, in _find_and_load_unlocked
File “”, line 665, in _load_unlocked
File “”, line 678, in exec_module
File “”, line 219, in _call_with_frames_removed
File “/home/filescloud/seafile-server-7.1.5/seahub/seahub/wsgi.py”, line 25, in
application = get_wsgi_application()
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/django/core/wsgi.py”, line 13, in get_wsgi_application
django.setup(set_prefix=False)
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/django/init.py”, line 27, in setup
apps.populate(settings.INSTALLED_APPS)
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/django/apps/registry.py”, line 108, in populate
app_config.import_models()
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/django/apps/config.py”, line 202, in import_models
self.models_module = import_module(models_module_name)
File “/usr/local/lib/python3.6/importlib/init.py”, line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 994, in _gcd_import
File “”, line 971, in _find_and_load
File “”, line 955, in _find_and_load_unlocked
File “”, line 665, in _load_unlocked
File “”, line 678, in exec_module
File “”, line 219, in _call_with_frames_removed
File “/home/filescloud/seafile-server-7.1.5/seahub/seahub/avatar/models.py”, line 26, in
import Image
ModuleNotFoundError: No module named ‘Image’

谢谢


#2

安装pip3 install setuptools==0.9.8
出现如下错误:
LC_ALL is not set in ENV, set to en_US.UTF-8
Starting seahub at port 8000 …

Warning: File comment has changed since version 6.3, while table base_filecomment is not migrated yet, please consider migrate it according to v6.3.0 release note, otherwise the file comment feature will not work correctly.

[2021-10-30 23:20:51 +0000] [2921] [INFO] Starting gunicorn 20.0.4
[2021-10-30 23:20:51 +0000] [2921] [INFO] Listening at: http://0.0.0.0:8000 (2921)
[2021-10-30 23:20:51 +0000] [2921] [INFO] Using worker: sync
[2021-10-30 23:20:51 +0000] [2925] [INFO] Booting worker with pid: 2925
[2021-10-30 23:20:51 +0000] [2926] [INFO] Booting worker with pid: 2926
[2021-10-30 23:20:51 +0000] [2927] [INFO] Booting worker with pid: 2927
[2021-10-30 23:20:51 +0000] [2928] [INFO] Booting worker with pid: 2928
[2021-10-30 23:20:51 +0000] [2929] [INFO] Booting worker with pid: 2929


#3

查看帖子https://bbs.seafile.com/t/topic/13404/4
阅对应文档https://manual.seafile.com/changelog/server-changelog/的6.3版本升级要求,提示运行./seahub.sh python-env seahub/manage.py migrate_file_comment

重新启动./seahub.sh start 貌似上面不见了,但启动死在这个位置上
[root@localhost seafile-server-latest]# ./seahub.sh start

LC_ALL is not set in ENV, set to en_US.UTF-8
Starting seahub at port 8000 …
[2021-10-31 00:57:43 +0000] [3318] [INFO] Starting gunicorn 20.0.4
[2021-10-31 00:57:43 +0000] [3318] [INFO] Listening at: http://0.0.0.0:8000 (3318)
[2021-10-31 00:57:43 +0000] [3318] [INFO] Using worker: sync
[2021-10-31 00:57:43 +0000] [3322] [INFO] Booting worker with pid: 3322
[2021-10-31 00:57:43 +0000] [3323] [INFO] Booting worker with pid: 3323
[2021-10-31 00:57:43 +0000] [3324] [INFO] Booting worker with pid: 3324
[2021-10-31 00:57:43 +0000] [3325] [INFO] Booting worker with pid: 3325
[2021-10-31 00:57:43 +0000] [3326] [INFO] Booting worker with pid: 3326

查看日志seahub.log如下:
ModuleNotFoundError: No module named ‘pylibmc’
During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/django/core/handlers/exception.py”, line 41, in inner
response = get_response(request)
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/django/core/handlers/base.py”, line 244, in _legacy_get_response
response = middleware_method(request)
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/termsandconditions/middleware.py”, line 23, in process_request
if not config.ENABLE_TERMS_AND_CONDITIONS:
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/django/utils/functional.py”, line 238, in inner
self._setup()
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/constance/init.py”, line 12, in _setup
self._wrapped = Config()
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/constance/base.py”, line 10, in init
utils.import_module_attr(settings.BACKEND)())
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/constance/backends/database/init.py”, line 25, in init
self._cache = caches[settings.DATABASE_CACHE_BACKEND]
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/django/core/cache/init.py”, line 80, in getitem
cache = _create_cache(alias)
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/django/core/cache/init.py”, line 51, in _create_cache
backend_cls = import_string(backend)
File “/home/filescloud/seafile-server-7.1.5/seahub/thirdpart/django/utils/module_loading.py”, line 20, in import_string
module = import_module(module_path)
File “/usr/local/lib/python3.6/importlib/init.py”, line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 994, in _gcd_import
File “”, line 971, in _find_and_load
File “”, line 955, in _find_and_load_unlocked
File “”, line 665, in _load_unlocked
File “”, line 678, in exec_module
File “”, line 219, in _call_with_frames_removed
File “/usr/local/lib/python3.6/site-packages/django_pylibmc/memcached.py”, line 25, in
raise InvalidCacheBackendError(‘Could not import pylibmc.’)
django.core.cache.backends.base.InvalidCacheBackendError: Could not import pylibmc.

重新安装显示
[root@localhost logs]# pip3 install pylibmc
Requirement already satisfied: pylibmc in /usr/local/lib64/python3.6/site-packages (1.6.1)
WARNING: Running pip as the ‘root’ user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv


#4

已经解决了这个问题
先自行安装一下python3,然后再用官方的再命令再做一遍就没有之前的问题了。
官方命令直接安装,python 总出问题。